Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.ehealth.businessconnector.therlink.domain
Enum ProofTypeValues

    java.lang.Object
      java.lang.Enum<ProofTypeValues>
          be.ehealth.businessconnector.therlink.domain.ProofTypeValues

All Implemented Interfaces:
  Serializable, Comparable<ProofTypeValues>

    public enum ProofTypeValues

extends Enum<ProofTypeValues>

The ProofType values

Enum Constant Summary
`EIDREADING` Eid reading proof
`EIDSIGNING` Eid Signing proof Will read Eid card and launch GUI to ask for PIN code
`ISIREADING` Sis reading proof
`SISREADING` Sis reading proof

Method Summary
`String` | `getValue()`
`static ProofTypeValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ProofTypeValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EIDREADING

    public static final ProofTypeValues EIDREADING

  Eid reading proof

### SISREADING

    public static final ProofTypeValues SISREADING

  Sis reading proof

### ISIREADING

    public static final ProofTypeValues ISIREADING

  Sis reading proof

### EIDSIGNING

    public static final ProofTypeValues EIDSIGNING

  Eid Signing proof Will read Eid card and launch GUI to ask for PIN code

Method Detail

### values

    public static ProofTypeValues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ProofTypeValues c : ProofTypeValues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ProofTypeValues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getValue

    public String getValue()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.